Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


dencorso

Newest Adobe Flash and Shockwave, and Java, too!

Recommended Posts

The main reason I abandoned it was that it crashed constantly on YouTube, and when playing Facebook videos.
As long as you just let the video play in real time it was fine, but as soon as you tried to scrub the video using the seek bar, or jump to a later point, the plugin immediately crashed all the time, on Opera and Slimjet.
I have a script running in Tampermonkey on Slimjet to force YouTube to use the Flash Player instead of the HTML5 Player, as it serves many videos at only 360p otherwise because of the lack of codecs in Windows XP, and Opera and Slimjet both rely on the OS to provide them.
Google Chrome does not have this problem as it includes the codecs.
I will give it another try, but I had no luck resolving this before.
:no:
 

Share this post


Link to post
Share on other sites

@Dave-H

Very strange behavior, these problems I have not, can jump at Youtube easily at another time. I have tried various flash games, can not provoke any crashes.

BTW, Firefox works in HTML5 (Full HD with h264) wonderfully, there is a thread in this forum for guidance about it.

:)

Share this post


Link to post
Share on other sites

I'm now trying to see if I can get Flash 23 to work in Google Chrome.
My PepperFlash files are actually in D:\Users\Dave\Local Settings\Application Data\Google\Chrome\User Data\PepperFlash\22.0.0.209 (my Windows XP installation is on drive D: not C:).
I tried substituting the Flash 22 files for the Flash 23 versions, but Chrome still says it's using Flash 22 unless I change the folder name from "22.0.0.209" to "23.0.0.185", which is bizarre!
Even when it then correctly recognises it as being Flash 23, it still doesn't work.
It either says the Flash Player isn't installed on some sites, or say it can't load the plugin on others.
Very odd!
:unsure:
 

Share this post


Link to post
Share on other sites
11 hours ago, heinoganda said:

First, install "install_flash_player_23_ppapi.exe", then copy the "pepflashplayer32_23_0_0_185.dll" and "manifest.json" files from "%windir%\system32\Macromed\Flash" to "%ProgramFiles%\Google\Chrome\Application\49.0.2623.112\PepperFlash". Finally, delete the existing file "pepflashplayer.dll" and rename the file "pepflashplayer32_23_0_0_185.dll" to "pepflashplayer.dll". For me the version 23.0.0.185 works so far.

I adapted your approach to Google Chrome Portable, and it worked.

I have Chrome (full version) on another machine, so I copied pepflashplayer 32_23_0_0_185.dll from that installation, renamed it pepflashplayer.dll, and swapped it into Chrome Portable 49.0.2623.112, as before, in the two places indicated here (as usual I did nothing with manifest.json):

  • GoogleChromePortable\App\Chrome-bin\49.0.2623.112\PepperFlash
  • GoogleChromePortable\Data\profile\PepperFlash

The Flash site confirms 23.0.0.185 installed.  Thank you for the information.

Edited by bluebolt

Share this post


Link to post
Share on other sites
2 hours ago, bluebolt said:

I adapted your approach to Google Chrome Portable, and it worked.

I have Chrome (full version) on another machine, so I copied pepflashplayer 32_23_0_0_185.dll from that installation, renamed it pepflashplayer.dll, and swapped it into Chrome Portable 49.0.2623.112, as before, in the two places indicated here (as usual I did nothing with manifest.json):

  • GoogleChromePortable\App\Chrome-bin\49.0.2623.112\PepperFlash
  • GoogleChromePortable\Data\profile\PepperFlash

The Flash site confirms 23.0.0.185 installed.  Thank you for the information.

Seems like a bunch of hoops to jump through, when Adobe/Google should simply write the code correctly. Non-technical people will be stuck on 22x209 unless the problem is fixed in the future.

Share this post


Link to post
Share on other sites

Does this new version of Java work OK for anyone else on XP?
It doesn't seem to for me. It installs fine, the only difference I noticed is that it now won't install into a folder that's not empty, which it would before if you specified a non-default folder, but it won't work for me in any browser.
I just get "detecting Java" on the Oracle test pages and that's it, it never seems to go any further, and I've tried a few other test pages and it ends up locking up the browser.
Anyone actually got it working?
:)
 

Share this post


Link to post
Share on other sites

Only certified pages where Oracle (Certificate) has been released work. This page (with Google Chrome 44.0.2403.130) should work, as well as for me the JDownloader. Tested with the current Java release.

:)

Edited by heinoganda

Share this post


Link to post
Share on other sites

Well I finally got it working!
It appears that it didn't like the custom path I was using for the installation.
It worked fine if I installed into the default path, and indeed it seemed every other path I tried, except the one I usually use!
I think it was something to do with the fact that I'd moved the cache into there, and it finally came good when I manually deleted all the user files relating to it, losing all my settings, and started completely from scratch.
It does seem to be fussier about the install location now, although it does still allow you to change it, like the fact that it won't now install into a folder that's not empty, as I mentioned before, which it always used to with no problem.
All seems OK now though thanks, I just hope I won't have to go through this every time I update, it used to be really straightforward!
:)
 

Share this post


Link to post
Share on other sites

Urm... no. Sorry to disagree, but I do get the message below (with FF 49.0.2) on the page you gave a link to, heinoganda. :(

Clip1.jpg

Share this post


Link to post
Share on other sites

@dencorso

Running Java on web pages was very limited by Oracle. The error message I get to see IE8.

@all

Flash Player Version 23.0.0.205 has been released!

The Internet Explorer ActiveX plugin is available here: http://fpdownload.adobe.com/get/flashplayer/pdc/23.0.0.205/install_flash_player_ax.exe
The NPAPI for Firefox is available here: http://fpdownload.adobe.com/get/flashplayer/pdc/23.0.0.205/install_flash_player.exe

Currently, the Flash Player for Opera or Chromium (install_flash_player ppapi.exe) version v23.0.0.205 can be used!
Tested with Google Chrome v49.0.2623.112.

:)

Edited by heinoganda
  • Upvote 3

Share this post


Link to post
Share on other sites

I tested Flash Beta 24.0.0.145 with Google Chrome Portable; all is well:
 

Flash_Beta_24_0_0_145.jpg

Edited by bluebolt

Share this post


Link to post
Share on other sites

Flash Player Version 23.0.0.207 has been released! (Although not brand new update, better now than never! :rolleyes:)

The Internet Explorer ActiveX plugin is available here: http://fpdownload.adobe.com/get/flashplayer/pdc/23.0.0.207/install_flash_player_ax.exe
The NPAPI for Firefox is available here: http://fpdownload.adobe.com/get/flashplayer/pdc/23.0.0.207/install_flash_player.exe

Currently, the Flash Player for Opera or Chromium (install_flash_player ppapi.exe) version v23.0.0.207 can be used!
Tested with Google Chrome v49.0.2623.112.
 

Update 12/16/2016

Flash Player Version 24.0.0.186 has been released!

The Internet Explorer ActiveX plugin is available here: http://fpdownload.adobe.com/get/flashplayer/pdc/24.0.0.186/install_flash_player_ax.exe
The NPAPI for Firefox is available here: http://fpdownload.adobe.com/get/flashplayer/pdc/24.0.0.186/install_flash_player.exe

Currently, the Flash Player for Opera or Chromium (install_flash_player ppapi.exe) version v24.0.0.186 can be used!
Tested with Google Chrome v49.0.2623.112.

:)

Edited by heinoganda
  • Upvote 2

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...